### Method

# Vips Image hist_find

#### Declaration [src]

    int
    vips_hist_find (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Find the histogram of `in`. Find the histogram for band `band` (producing a one-band histogram), or for all bands (producing an n-band histogram) if `band` is -1.

char and uchar images are cast to uchar before histogramming, all other image types are cast to ushort.

Optional arguments

- `band`: `gint`, band to equalise

See also

`vips_hist_find_ndim()`, `vips_hist_find_indexed()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.